Subject: Re: [bug#40901] gnu: ktsuss: Fix paths.

From: Raghav Gururajan <[email-masked]>
Date: Thu, 30 Apr 2020 04:39:18 -0400

Hi Jan!
> Having a like this is great.  Two remarks
> 
>   * please move it above the "* gnu/packages/admin" line

Done!

>   * it would be great if you can add link to the ktsuss bug tracer about
>     this "unknown" bug

It is not reported yet. I could report it, but I am not sure how to debug
deeper to pin-point the exact part of the sudo-backend that has the bug. So I
have changed commit-message to fit situation.

Please find the revised patch attached with this email.

Regards,
RG.
>From 736ac4d7940bdc9982f05b5b58fbaf32f3d6aec4 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <[email-masked]>
Date: Thu, 30 Apr 2020 04:26:05 -0400
Subject: [PATCH] gnu: ktsuss: Revert back to su from sudo.

Sudo authentication does not work in guix system. Disabled sudo-backend.
Ktsuss will now use su-backend, which is the default.

* gnu/packages/admin.scm (ktsuss): Revert back to su from sudo.
---
 gnu/packages/admin.scm | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index cb3de79713..356fd1cdf4 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -146,9 +146,7 @@
        (file-name (git-file-name name version))))
     (build-system glib-or-gtk-build-system)
     (arguments
-     `(#:configure-flags
-       (list "--enable-sudo=yes")
-       #:phases
+     `(#:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-file-names
            (lambda _
-- 
2.26.2